> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search commuting months list

> Returns commuting-month options for the year as a picker list.



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/commuting/months
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/commuting/months:
    get:
      tags:
        - Organizations
      summary: Search commuting months list
      description: Returns commuting-month options for the year as a picker list.
      operationId: searchCommutingMonths
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/commutingYearOptional'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/searchText'
        - $ref: '#/components/parameters/timeZone'
        - $ref: '#/components/parameters/formattingRegion'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldList'
              examples:
                Commuting months:
                  value:
                    meta:
                      total: 7
                      count: 7
                    data:
                      - id: 7
                        name: July
                      - id: 6
                        name: June
                      - id: 5
                        name: May
                      - id: 4
                        name: April
                      - id: 3
                        name: March
                      - id: 2
                        name: February
                      - id: 1
                        name: January
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    commutingYearOptional:
      name: year
      in: query
      description: commuting year used to fetch months or days
      required: false
      schema:
        type: integer
      example: 2025
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    searchText:
      name: searchText
      in: query
      description: free text to search for
      required: false
      schema:
        type: string
    timeZone:
      name: timeZone
      in: query
      description: >-
        TimeZone of client and which is going to be used to set date and time in
        a more detail way
      required: false
      schema:
        type: string
      example: UTC+1
    formattingRegion:
      name: formattingRegion
      in: query
      description: Value which is used to format display format of numbers and dates
      required: false
      schema:
        type: string
      example: sv_SE
  schemas:
    CustomFieldList:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
            sections:
              $ref: '#/components/schemas/Section'
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    Section:
      type: array
      items:
        properties:
          id:
            type: integer
          text:
            type: string
    CustomFieldListValue:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        section:
          type: integer
        icon:
          type: string
          format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````